ISCSI_CREATE_FLASHNO(9)

NAME
iscsi_create_flashnode_conn - Add flashnode conn entry in sysfs

SYNOPSIS

struct iscsi_bus_flash_conn * iscsi_create_flashnode_conn(struct Scsi_Host * shost, struct iscsi_bus_flash_session * fnode_sess, struct iscsi_transport * transport, int dd_size);

ARGUMENTS

shost
    pointer to host data

fnode_sess
    pointer to the parent flashnode session entry

transport
    pointer to transport data

dd_size
    total size to allocate

DESCRIPTION

Adds a sysfs entry for the flashnode connection attributes

RETURNS

pointer to allocated flashnode conn on success NULL on failure

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT